'''
Created on 15/09/2016

@author: andre
'''

import numpy as np
from starlight_table import read_starlight_output
from plot_starlight_fit import plot_starlight_fit_single

sl = read_starlight_output('starlight/output/example.out')
plot_starlight_fit_single(sl, i_fig=1)

print 'Spectra columns:'
print sl.spectra.columns
print

print 'Population vector columns:'
print sl.population.columns
print
print 'average log age (light weighted):'
popx = sl.population.popx
log_age = np.log10(sl.population.popage_base)
at_flux = (popx * log_age).sum() / popx.sum()
print '%.2f' % at_flux
print


